Loading...
Searching...
No Matches
MolSupplier.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <string>`
`#include <string_view>`
`#include <list>`
`#include <memory>`
`#include <vector>`
`#include <fstream>`
`#include <iterator>`
`#include <GraphMol/ROMol.h>`
`#include <RDGeneral/BadFileException.h>`
`#include "FileParsers.h"`
`#include <GraphMol/SmilesParse/SmilesParse.h>`
`#include "MolSupplier.v1API.h"`

Go to the source code of this file.

## Classes

class | RDKit::v2::FileParsers::MolSupplier
struct | RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >
class | RDKit::v2::FileParsers::ForwardSDMolSupplier
struct | RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >
class | RDKit::v2::FileParsers::SDMolSupplier
struct | RDKit::v2::FileParsers::SmilesMolSupplierParams
class | RDKit::v2::FileParsers::SmilesMolSupplier
| lazy file parser for Smiles tables More...
struct | RDKit::v2::FileParsers::TDTMolSupplierParams
class | RDKit::v2::FileParsers::TDTMolSupplier
| lazy file parser for TDT files More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::v2
namespace | RDKit::v2::FileParsers

## Functions

RDKIT_FILEPARSERS_EXPORT std::string | RDKit::strip (const std::string &orig)